Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.3.0 API Reference |

Loading...
Searching...
No Matches
Functions
mfan.h File Reference
`#include "hdf.h"`

## Functions
int32 | ANstart (int32 file_id)
intn | ANfileinfo (int32 an_id, int32 *n_file_label, int32 *n_file_desc, int32 *n_obj_label, int32 *n_obj_desc)
int32 | ANend (int32 an_id)
int32 | ANcreate (int32 an_id, uint16 elem_tag, uint16 elem_ref, ann_type type)
int32 | ANcreatef (int32 an_id, ann_type type)
int32 | ANselect (int32 an_id, int32 index, ann_type type)
intn | ANnumann (int32 an_id, ann_type type, uint16 elem_tag, uint16 elem_ref)
intn | ANannlist (int32 an_id, ann_type type, uint16 elem_tag, uint16 elem_ref, int32 ann_list[])
int32 | ANannlen (int32 ann_id)
int32 | ANwriteann (int32 ann_id, const char *ann, int32 annlen)
int32 | ANreadann (int32 ann_id, char *ann, int32 maxlen)
intn | ANendaccess (int32 ann_id)
int32 | ANget_tagref (int32 an_id, int32 index, ann_type type, uint16 *ann_tag, uint16 *ann_ref)
int32 | ANid2tagref (int32 ann_id, uint16 *ann_tag, uint16 *ann_ref)
int32 | ANtagref2id (int32 an_id, uint16 ann_tag, uint16 ann_ref)
uint16 | ANatype2tag (ann_type atype)
ann_type | ANtag2atype (uint16 atag)

## Function Documentation

## ◆ ANannlen()

int32 ANannlen | ( | int32 | ann_id | ) |
| extern

## ◆ ANannlist()

intn ANannlist | ( | int32 | an_id,
|  | ann_type | type,
|  | uint16 | elem_tag,
|  | uint16 | elem_ref,
|  | int32 | ann_list[] )
| extern

## ◆ ANatype2tag()

uint16 ANatype2tag | ( | ann_type | atype | ) |
| extern

## ◆ ANcreate()

int32 ANcreate | ( | int32 | an_id,
|  | uint16 | elem_tag,
|  | uint16 | elem_ref,
|  | ann_type | type )
| extern

## ◆ ANcreatef()

int32 ANcreatef | ( | int32 | an_id,
|  | ann_type | type )
| extern

## ◆ ANend()

int32 ANend | ( | int32 | an_id | ) |
| extern

## ◆ ANendaccess()

intn ANendaccess | ( | int32 | ann_id | ) |
| extern

## ◆ ANfileinfo()

intn ANfileinfo | ( | int32 | an_id,
|  | int32 * | n_file_label,
|  | int32 * | n_file_desc,
|  | int32 * | n_obj_label,
|  | int32 * | n_obj_desc )
| extern

## ◆ ANget_tagref()

int32 ANget_tagref | ( | int32 | an_id,
|  | int32 | index,
|  | ann_type | type,
|  | uint16 * | ann_tag,
|  | uint16 * | ann_ref )
| extern

## ◆ ANid2tagref()

int32 ANid2tagref | ( | int32 | ann_id,
|  | uint16 * | ann_tag,
|  | uint16 * | ann_ref )
| extern

## ◆ ANnumann()

intn ANnumann | ( | int32 | an_id,
|  | ann_type | type,
|  | uint16 | elem_tag,
|  | uint16 | elem_ref )
| extern

## ◆ ANreadann()

int32 ANreadann | ( | int32 | ann_id,
|  | char * | ann,
|  | int32 | maxlen )
| extern

## ◆ ANselect()

int32 ANselect | ( | int32 | an_id,
|  | int32 | index,
|  | ann_type | type )
| extern

## ◆ ANstart()

int32 ANstart | ( | int32 | file_id | ) |
| extern

## ◆ ANtag2atype()

ann_type ANtag2atype | ( | uint16 | atag | ) |
| extern

## ◆ ANtagref2id()

int32 ANtagref2id | ( | int32 | an_id,
|  | uint16 | ann_tag,
|  | uint16 | ann_ref )
| extern

## ◆ ANwriteann()

int32 ANwriteann | ( | int32 | ann_id,
|  | const char * | ann,
|  | int32 | annlen )
| extern